skip to navigation
skip to content

Not Logged In

stsci.sphinxext 1.1

A set of tools and templates to customize Sphinx for use in STScI projects

Latest Version: 1.2.1

Purpose

This project contains extensions to Sphinx to build documentation from STScI.

Prerequisites

  • Sphinx 0.6.3 or later, and its dependencies
  • numpydoc - provides support for Numpy-style docstring syntax
    • The version shipped with Numpy 1.4.0 or later is required
  • matplotlib - provides matplotlib extensions for inline plotting

These requirements are not listed in the installation requirements in the metadata simply because numpy and matplotlib in particular are large and not easy to deal with, so trying to install a Sphinx theme should not have the side-effect of trying to install these prerequisites as well.

Usage

These instructions only cover changes from the standard Sphinx instructions.

Create a new tree for your Sphinx documentation, using sphinx_quickstart, as described in the Sphinx introduction.

Import the stsci_sphinx customizations into your project's conf.py by inserting the following line at the top:

from stsci.sphinxext.conf import *

The "extensions" line in your conf.py should also be modified so it doesn't override the extensions defined by stsci.sphinxext. For example, change:

extensions = ['sphinx.ext.autodoc']

to:

extensions += ['sphinx.ext.autodoc']

Also, comment out the 'html_theme' line, so your project will use the stsci.sphinxext one.

 
File Type Py Version Uploaded on Size
stsci.sphinxext-1.1.tar.gz (md5) Source 2011-08-31 53KB
  • Downloads (All Versions):
  • 15 downloads in the last day
  • 80 downloads in the last week
  • 328 downloads in the last month